Subject: Survey on Visual Query Languages

From: P Papapanagiotou <[email-masked]>
Date: Mon, 23 May 1994 15:05:38 +0100

UMIST Dept. of Computation 
MSc Information Systems Engineering

Manchester, May 23, 1994

Dear Sir/Madam, 

I am currently working on the development of a Visual Query Language for interacting with a temporal database, as my dissertation project in UMIST. Part of the project is concerned with the comparison and evaluation of already implemented VQLs (with special interest in languages that use the E-R model as graphical representation of the database schema). So far, I have come up with the following VQLs : 
	VQL (by L.Mohan and R.Kashyap) 
    	TBE (by Tansel,Arkun and Ozsoyoglu) 
	Graphical Data Manipulation Language for the ECER model (by Czejo,Elmasri and Rusinkiewicz) 
	QBE (by Zloof) 
	GUIDE (by H.Wong and I.Kuo) 
	GQS (by Weiland and Shneiderman) 
	SUPER (by Auddino,Dennebouy,Dupont,Fontana,Spaccapietra and Tari) 
	QBD (by Angelaccio,Catarci,Santucci,Sotille and Batini) 
	ERROL (by Markowitz and Raz) 
	gql/ER (by Z.Q.Zhang and Mendelzon) 
	GQBE (by Jacobs and Walczak)
	CANDID (by Schneider and Trepied) 
	PICASSO (by Kim,Korth and Silbeschatz) and 
	GORDAS (by Elmasri and Wiederhold) 
I would appreciate it very much if you could provide me with additional information concerning other Visual or Graphical Query Languages or relative surveys. I thank you in advance. 

P.Papapanagiotou 
e-mail : [email-masked]